---
search:
  tags:
    - Variants
    - DELETE
seo:
  description: >-
    Deletes a product variant… Reference for the DELETE
    /api/v1/{team_slug}/{app_slug}/products/{product_id}/variants/{variant_id}
    endpoint in the Management API.
sidebar:
  label: Delete product variant
  badge: DELETE
title: Delete product variant
type: openapi-operation
---
Deletes a product variant and its associated warehouse stock records

`DELETE /api/v1/{team_slug}/{app_slug}/products/{product_id}/variants/{variant_id}`

**Responses**

- `200` — Variant deleted
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": "string",
  "details": [
    "string"
  ],
  "success": true
}
```
